com.io7m.smfj.processing.api

## Class SMFFilterCommandModule.Builder

- java.lang.Object
- - com.io7m.smfj.processing.api.SMFFilterCommandModule.Builder

- Enclosing class:
    SMFFilterCommandModule

      public static final class SMFFilterCommandModule.Builder
      extends Object

  Builds instances of type `SMFFilterCommandModule`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SMFFilterCommandModule` | `build()` Builds a new `SMFFilterCommandModule`.
    `SMFFilterCommandModule.Builder` | `from(SMFFilterCommandModuleType instance)` Fill a builder with attribute values from the provided `SMFFilterCommandModuleType` instance.
    `SMFFilterCommandModule.Builder` | `setName(String name)` Initializes the value for the `name` attribute.
    `SMFFilterCommandModule.Builder` | `setParsers(javaslang.collection.SortedMap<String,SMFFilterCommandParserType> parsers)` Initializes the value for the `parsers` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final SMFFilterCommandModule.Builder from(SMFFilterCommandModuleType instance)

      Fill a builder with attribute values from the provided `SMFFilterCommandModuleType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setName

          public final SMFFilterCommandModule.Builder setName(String name)

      Initializes the value for the `name` attribute.
      Parameters:
        `name` - The value for name
      Returns:
        `this` builder for use in a chained invocation

    - #### setParsers

          public final SMFFilterCommandModule.Builder setParsers(javaslang.collection.SortedMap<String,SMFFilterCommandParserType> parsers)

      Initializes the value for the `parsers` attribute.
      Parameters:
        `parsers` - The value for parsers
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public SMFFilterCommandModule build()

      Builds a new `SMFFilterCommandModule`.
      Returns:
        An immutable instance of SMFFilterCommandModule
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com